Bug 26441 - Убрать gtkmozembed*.pc
: Убрать gtkmozembed*.pc
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xulrunner-devel)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-10-11 18:42 by
Modified: 2011-11-24 05:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-10-11 18:42:12
Говорят, что поддержки встраивания больше нет. Сейчас в xulrunner-devel есть
такие файлы:
$ rpm -ql xulrunner-devel | grep moze
/usr/lib/pkgconfig/mozilla-gtkmozembed-embedding.pc
/usr/lib/pkgconfig/mozilla-gtkmozembed.pc
И нет gtkmozembed.h
Предлагаю удалить эти pc-файлы, они только вводят в заблуждение
------- Comment #1 From 2011-11-24 05:23:46 -------
xulrunner-8.0-alt1 -> sisyphus:

* Mon Nov 14 2011 Alexey Gladkov <legion@altlinux> 8.0-alt1
- New releaee (8.0).
- Remove gtkmozembed*.pc (ALT#26441).
- Fixed:
  + MFSA 2011-52 Code execution via NoWaiverWrapper
  + MFSA 2011-51 Cross-origin image theft on Mac with integrated Intel GPU
  + MFSA 2011-50 Cross-origin data theft using canvas and Windows D2D
  + MFSA 2011-49 Memory corruption while profiling using Firebug
  + MFSA 2011-48 Miscellaneous memory safety hazards (rv:8.0)
  + MFSA 2011-47 Potential XSS against sites using Shift-JIS